Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSectionMsg Class Reference
GoSdk/Messages » Data Channel

## Description

Represents a data message containing a set of section arrays.

Note
  Supported with G3

Inheritance diagram for GoSectionMsg:

## Public Member Functions
kStatus | GoDataMsg_SetStreamStep (GoDataMsg message, GoDataStep streamStep)
| Sets the source of the data stream. More...
kStatus | GoDataMsg_SetStreamStepId (GoDataMsg message, k32s streamStepId)
| Sets the identifier of the data stream from the source. More...
GoDataStep | GoDataMsg_StreamStep (GoDataMsg message)
| Gets the source of the data stream. More...
k32s | GoDataMsg_StreamStepId (GoDataMsg message)
| Gets the identifier of the data stream from the source. More...
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
k32s | GoSectionMsg_AnglePose (GoSectionMsg msg)
| Gets the Pose Angle, in microdegrees. More...
k16s * | GoSectionMsg_At (GoSectionMsg msg, kSize index)
| Gets a pointer to a section array. More...
kSize | GoSectionMsg_Count (GoSectionMsg msg)
| Gets the count of section arrays in this message. More...
k32u | GoSectionMsg_Exposure (GoSectionMsg msg)
| Gets the exposure. More...
k32u | GoSectionMsg_Id (GoSectionMsg msg)
| Gets the section ID. More...
GoDataSource | GoSectionMsg_Source (GoSectionMsg msg)
| Gets the section source. More...
kSize | GoSectionMsg_Width (GoSectionMsg msg)
| Gets the count of points in each section array. More...
k32s | GoSectionMsg_XOffset (GoSectionMsg msg)
| Gets the x-offset, in micrometers. More...
k32s | GoSectionMsg_XPose (GoSectionMsg msg)
| Gets the X-Pose, in micrometers. More...
k32u | GoSectionMsg_XResolution (GoSectionMsg msg)
| Gets the x-resolution, in nanometers. More...
k32s | GoSectionMsg_YPose (GoSectionMsg msg)
| Gets the Y-Pose, in micrometers. More...
k32s | GoSectionMsg_ZOffset (GoSectionMsg msg)
| Gets the z-offset, in micrometers. More...
k32u | GoSectionMsg_ZResolution (GoSectionMsg msg)
| Gets the z-resolution, in nanometers. More...

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h